{"operationsSorter":"alpha","tagsSorter":"alpha","docExpansion":"none","openapi":"3.0.0","info":{"title":"FME Flow REST API V4","description":"FME Flow REST API V4 is our stable REST API.","contact":{"name":"Safe Software Inc.","url":"https://www.safe.com/"},"version":"4"},"tags":[{"name":"broadcast","description":"Broadcast Messages"},{"name":"licensing","description":"Licensing"},{"name":"metrics","description":"Metrics"},{"name":"resources","description":"Resources"},{"name":"streams","description":"Streams"},{"name":"jobs","description":"Jobs"},{"name":"remote engines","description":"Remote Engines"},{"name":"security","description":"Security"},{"name":"engines","description":"Engines"},{"name":"enginemanagement","description":"Engine Management"},{"name":"configuration","description":"Configuration"},{"name":"deployment","description":"Deployment"},{"name":"deployment parameters","description":"Deployment Parameters"},{"name":"migrations","description":"Migration"},{"name":"permissions","description":"Permissions"},{"name":"tokens","description":"Tokens"},{"name":"repositories","description":"Repositories"},{"name":"schedules","description":"Schedules"},{"name":"cleanup","description":"Cleanup"},{"name":"automations","description":"Automations"},{"name":"dependencies","description":"Dependencies"},{"name":"projects","description":"Projects"},{"name":"packages","description":"FME Packages"},{"name":"healthcheck","description":"Health Check"},{"name":"connections","description":"Web & Database Connections"},{"name":"data virtualization","description":"Data Virtualization"},{"name":"notifications","description":"Notifications"},{"name":"authentication services","description":"Authentication Services"}],"paths":{"/workspaces/{repository}/{workspace}/services":{"get":{"tags":["repositories"],"summary":"Retrieve the registered services and service configurations of a workspace","description":"Retrieves a list of FME Flow services and service configurations of a workspace.","operationId":"getServices","parameters":[{"name":"repository","in":"path","description":"The name of the repository containing the proper workspace","required":true,"schema":{"type":"string"}},{"name":"workspace","in":"path","description":"The name of the workspace to get services from","required":true,"schema":{"pattern":".*.(?i)fmw","type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Services"}}}}}},"put":{"tags":["repositories"],"summary":"Replace the registered services and service configurations of a workspace","description":"Replaces the set of FME Flow services and service configurations registered to a workspace.","operationId":"updateServices","parameters":[{"name":"repository","in":"path","description":"The name of the repository containing the proper workspace","required":true,"schema":{"type":"string"}},{"name":"workspace","in":"path","description":"The name of the workspace to replace services for","required":true,"schema":{"pattern":".*.(?i)fmw","type":"string"}}],"requestBody":{"description":"FME Flow services and service configurations to register the workspace. Any unspecified services will be deregistered.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateServicesRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/workspaces/{repository}/{workspace}/services/{service}/registered":{"put":{"tags":["repositories"],"summary":"Register or deregister a service to a workspace","description":"Registers or deregisters a service to a workspace","operationId":"updateServiceRegistration","parameters":[{"name":"repository","in":"path","description":"The name of the repository containing the proper workspace.","required":true,"schema":{"type":"string"}},{"name":"workspace","in":"path","description":"The name of the workspace to update service registration for.","required":true,"schema":{"pattern":".*.(?i)fmw","type":"string"}},{"name":"service","in":"path","description":"The name of the service to register or deregister.","required":true,"schema":{"type":"string","enum":["fmedatadownload","fmedatastreaming","fmejobsubmitter","fmekmllink"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateServiceRegistrationRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/topics/{name}":{"get":{"tags":["notifications"],"summary":"Retrieve a topic","description":"Retrieves a topic.","operationId":"getTopic","parameters":[{"name":"name","in":"path","description":"Name of the topic.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TopicResponse"}}}}}},"put":{"tags":["notifications"],"summary":"Update a topic","description":"Update an existing topic.","operationId":"replaceTopic","parameters":[{"name":"name","in":"path","description":"Name of the topic.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateTopicRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["notifications"],"summary":"Delete a topic","description":"Deletes an existing topic.","operationId":"deleteTopic","parameters":[{"name":"name","in":"path","description":"Name of the topic.","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}}},"/tokens/{id}":{"get":{"tags":["tokens"],"summary":"Retrieve a user token","description":"Retrieve a user token by its unique identifier","operationId":"getToken","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the token","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TokenResponse"}}}}}},"put":{"tags":["tokens"],"summary":"Replace a token","description":"Replace a token. Either one of `secondsToExpiry` or `expiration` must be specified, but not both.","operationId":"replaceToken","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the token","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateTokenRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["tokens"],"summary":"Delete a token","description":"Delete a token given the ID","operationId":"deleteToken","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the token","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}}}},"/tokens/{id}/secondstoexpiry":{"put":{"tags":["tokens"],"summary":"Set expiration timeout for a token","description":"Set the expiration timeout in seconds for the token","operationId":"setSecondsToExpiry","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the token","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SecondsToExpiryRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/tokens/{id}/items":{"get":{"tags":["permissions"],"summary":"Retrieve permissions for all security items","description":"Retrieves permissions for all security items for the token","operationId":"getAllItemPermissions","parameters":[{"name":"limit","in":"query","description":"Specifies the maximum number of results to return, which is useful for iterative results paging. The limit can be any number between 0 to 1000 inclusive.","required":false,"schema":{"maximum":1000,"minimum":0,"type":"integer","format":"int64","default":100}},{"name":"offset","in":"query","description":"Specifies the offset to start the result, which is useful for iterative results paging. An offset of 0 will return results starting from the first entry. The offset can be any number greater than or equal to 0.","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"id","in":"path","description":"UUID (unique identifier) of the token","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"category","in":"query","description":"If specified, only items in this category will be returned.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ItemPermissionPage"}}}}}},"put":{"tags":["permissions"],"summary":"Update permissions for security items","description":"Updates permissions for security items for the token. Only the items supplied in the request body will be updated, permissions for all other items not supplied in the request body will not be updated. Use method GET /permissions/metadata/items to retrieve the item permissions available on FME Flow.","operationId":"replaceItemPermissions","parameters":[{"name":"id","in":"path","description":"UUID (unique identifier) of the token","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UpdateItemPermissionRequest"}}}},"required":true},"responses":{"200":{"description":"OK"},"207":{"description":"The response body contains information about the result of the update operation, indicating success or error status for each item permission update."}}}},"/tokens/{id}/items/{category}/{item}/permissions":{"put":{"tags":["permissions"],"summary":"Update permissions for a security item","description":"Updates permissions for a security item for the user token. Use method GET /permissions/metadata/items to retrieve the item permissions available on FME Flow.","operationId":"replaceSingleItemPermissions","parameters":[{"name":"id","in":"path","description":"UUID (unique identifier) of the token","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"category","in":"path","description":"Security category","required":true,"schema":{"type":"string"}},{"name":"item","in":"path","description":"Security item","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Security item permissions","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"204":{"description":"No Content"}}},"post":{"tags":["permissions"],"summary":"Grant permissions for a security item","description":"Grants permissions for a security item for the user token. Existing permissions are not removed. Use method GET /permissions/metadata/items to retrieve the item permissions available on FME Flow.","operationId":"grantSingleItemPermissions","parameters":[{"name":"id","in":"path","description":"UUID (unique identifier) of the token","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"category","in":"path","description":"Security category","required":true,"schema":{"type":"string"}},{"name":"item","in":"path","description":"Security item","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Security item permissions","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["permissions"],"summary":"Revoke permissions for a security item","description":"Revokes permissions for a security item for the user token.","operationId":"revokeSingleItemPermissions","parameters":[{"name":"id","in":"path","description":"UUID (unique identifier) of the token","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"category","in":"path","description":"Security category","required":true,"schema":{"type":"string"}},{"name":"item","in":"path","description":"Security item","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}}},"/tokens/{id}/expiration":{"put":{"tags":["tokens"],"summary":"Set expiration date/time for a token","description":"Set the expiration date/time for the token","operationId":"setExpiration","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the token","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpirationRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/tokens/{id}/enabled":{"put":{"tags":["tokens"],"summary":"Enable/Disable a token","description":"Set the enabled state for the token","operationId":"enableToken","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the token","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokensEnableRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/tokens/{id}/categories":{"get":{"tags":["permissions"],"summary":"Retrieve permissions for all security categories","description":"Retrieves permissions for all security categories for the token","operationId":"getAllCategoryPermissions","parameters":[{"name":"id","in":"path","description":"UUID (unique identifier) of the token","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CategoryPermissionResponse"}}}}}}},"put":{"tags":["permissions"],"summary":"Update permissions for security categories","description":"Updates permissions for security categories for the token. Only the categories supplied in the request body will be updated, permissions for all other categories not supplied in the request body will not be updated. Use method GET /permissions/metadata/categories to retrieve the category permissions available on FME Flow.","operationId":"replaceCategoryPermissions","parameters":[{"name":"id","in":"path","description":"UUID (unique identifier) of the token","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UpdateCategoryPermissionRequest"}}}},"required":true},"responses":{"200":{"description":"OK"},"207":{"description":"The response body contains information about the result of the update operation, indicating success or error status for each category permissions update."}}}},"/tokens/{id}/categories/{category}/permissions":{"put":{"tags":["permissions"],"summary":"Update permissions for a security category","description":"Updates permissions for a security category for the token. Use method GET /permissions/metadata/categories to retrieve the category permissions available on FME Flow.","operationId":"replaceSingleCategoryPermissions","parameters":[{"name":"id","in":"path","description":"UUID (unique identifier) of the token","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"category","in":"path","description":"Security category","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Security permissions","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"204":{"description":"No Content"}}},"post":{"tags":["permissions"],"summary":"Grant permissions for a security category","description":"Grants permissions for a security category for the token. Existing permissions are not removed. Use method GET /permissions/metadata/categories to retrieve the category permissions available on FME Flow.","operationId":"grantSingleCategoryPermissions","parameters":[{"name":"id","in":"path","description":"UUID (unique identifier) of the token","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"category","in":"path","description":"Security category","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Security permissions","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["permissions"],"summary":"Revoke permissions for a security category","description":"Revokes permissions for a security category for the token.","operationId":"revokeSingleCategoryPermissions","parameters":[{"name":"id","in":"path","description":"UUID (unique identifier) of the token","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"category","in":"path","description":"Security category","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}}},"/systemevents/configurations/{name}":{"get":{"tags":["configuration"],"summary":"Retrieve a system event configuration","description":"Retrieves a system event configuration","operationId":"listSpecificConfiguration","parameters":[{"name":"name","in":"path","description":"Name of the system event configuration","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SystemEventsConfigurationResponse"}}}}}},"put":{"tags":["configuration"],"summary":"Replace a system event configuration","description":"Replaces a system event configuration","operationId":"updateConfiguration","parameters":[{"name":"name","in":"path","description":"Name of the system event configuration","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SystemEventsConfigurationRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/systemevents/configurations/{name}/enabled":{"put":{"tags":["configuration"],"summary":"Enable/disable system event configurations","description":"Enable or disable a system event configuration","operationId":"updateIsEnabled","parameters":[{"name":"name","in":"path","description":"Name of the system event configuration","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SystemEventsConfigurationEnabledRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/subscriptions/{subscription}":{"get":{"tags":["notifications"],"summary":"Retrieve a subscription","operationId":"getSubscription","parameters":[{"name":"subscription","in":"path","description":"Name of the subscription to retrieve","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/HttpSubscriptionResponse"},{"$ref":"#/components/schemas/SqsSubscriptionResponse"},{"$ref":"#/components/schemas/LoggerSubscriptionResponse"},{"$ref":"#/components/schemas/FtpSubscriptionResponse"},{"$ref":"#/components/schemas/EventGridSubscriptionResponse"},{"$ref":"#/components/schemas/SnsSubscriptionResponse"},{"$ref":"#/components/schemas/WorkspaceSubscriptionResponse"},{"$ref":"#/components/schemas/DropboxSubscriptionResponse"},{"$ref":"#/components/schemas/JmsSubscriptionResponse"},{"$ref":"#/components/schemas/SftpSubscriptionResponse"},{"$ref":"#/components/schemas/S3SubscriptionResponse"},{"$ref":"#/components/schemas/EmailSubscriptionResponse"},{"$ref":"#/components/schemas/WebSocketSubscriptionResponse"}]}}}}}},"put":{"tags":["notifications"],"summary":"Replace a subscription","operationId":"replaceSubscription","parameters":[{"name":"subscription","in":"path","description":"Name of the subscription to update","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/UpdateDropboxSubscriptionRequest"},{"$ref":"#/components/schemas/UpdateEmailSubscriptionRequest"},{"$ref":"#/components/schemas/UpdateEventGridSubscriptionRequest"},{"$ref":"#/components/schemas/UpdateFtpSubscriptionRequest"},{"$ref":"#/components/schemas/UpdateHttpSubscriptionRequest"},{"$ref":"#/components/schemas/UpdateJmsSubscriptionRequest"},{"$ref":"#/components/schemas/UpdateLoggerSubscriptionRequest"},{"$ref":"#/components/schemas/UpdateS3SubscriptionRequest"},{"$ref":"#/components/schemas/UpdateSftpSubscriptionRequest"},{"$ref":"#/components/schemas/UpdateSnsSubscriptionRequest"},{"$ref":"#/components/schemas/UpdateSqsSubscriptionRequest"},{"$ref":"#/components/schemas/UpdateWebSocketSubscriptionRequest"},{"$ref":"#/components/schemas/UpdateWorkspaceSubscriptionRequest"}]}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["notifications"],"summary":"Delete a subscription","operationId":"deleteSubscription","parameters":[{"name":"subscription","in":"path","description":"Name of the subscription to remove","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}}},"/streams/{id}":{"get":{"tags":["streams"],"summary":"Retrieve an individual stream","description":"Retrieves an individual stream by its unique identifier.","operationId":"get","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the stream","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"includeEngineInfo","in":"query","description":"Whether to include information about engines assigned to the stream","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StreamResponse"}}}}}},"put":{"tags":["streams"],"summary":"Replace a stream","description":"Replace a stream given the information in the request body","operationId":"replaceStream","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the stream","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateStreamRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["streams"],"summary":"Delete a stream","description":"Delete a stream given the ID","operationId":"delete","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the stream","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}}}},"/streams/{id}/enginerules":{"get":{"tags":["streams"],"summary":"Retrieve specific engine assignment rule","description":"Retrieves specific engine assignment rule.","operationId":"get_1","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the stream","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StreamEngineRuleResponse"}}}}}},"put":{"tags":["streams"],"summary":"Updates an engine assignment rule","description":"Updates an existing engine assignment rule.","operationId":"update","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the stream","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateStreamEngineRuleRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}},"post":{"tags":["streams"],"summary":"Create an engine assignment rule","description":"Creates an engine assignment rule.","operationId":"create_1","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the stream","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewStreamEngineRuleRequest"}}},"required":true},"responses":{"201":{"description":"Created"}}},"delete":{"tags":["streams"],"summary":"Delete an engine assignment rule","description":"Deletes an existing engine assignment rule.","operationId":"delete_1","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the stream","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}}}},"/streams/{id}/enabled":{"put":{"tags":["streams"],"summary":"Enable/Disable a stream","description":"Enable/Disable a stream given the information in the request body","operationId":"enableStream","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the stream","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StreamsEnableRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/schedules/{id}":{"get":{"tags":["schedules"],"summary":"Retrieve a schedule","description":"Retrieve a schedule by its unique identifier","operationId":"getSchedule","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the schedule","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScheduleResponse"}}}}}},"put":{"tags":["schedules"],"summary":"Replace a schedule","description":"Replace a schedule given the ID","operationId":"replaceSchedule","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the schedule","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateScheduleRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["schedules"],"summary":"Delete a schedule","description":"Delete a schedule given the ID","operationId":"deleteSchedule","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the schedule","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}}}},"/schedules/{id}/enabled":{"put":{"tags":["schedules"],"summary":"Enable/Disable a schedule","description":"Set the enabled state for the schedule","operationId":"enableSchedule","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the schedule","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScheduleEnableRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/schedules/tags/{tagID}":{"get":{"tags":["schedules"],"summary":"Retrieve a schedule tag","operationId":"get_2","parameters":[{"name":"tagID","in":"path","description":"Specifies the UUID (unique identifier) of the tag","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TagResponse"}}}}}},"put":{"tags":["schedules"],"summary":"Update a schedule tag","operationId":"update_1","parameters":[{"name":"tagID","in":"path","description":"Specifies the UUID (unique identifier) of the tag","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["schedules"],"summary":"Delete a schedule tag","operationId":"delete_2","parameters":[{"name":"tagID","in":"path","description":"Specifies the UUID (unique identifier) of the tag","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}}}},"/saml/{id}":{"get":{"tags":["authentication services"],"summary":"Retrieve specific SAML configuration","operationId":"getSAMLConfig","parameters":[{"name":"id","in":"path","description":"ID of the SAML configuration.","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SAMLConfigResponse"}}}}}},"put":{"tags":["authentication services"],"summary":"Updates a SAML configuration","operationId":"updateSAMLConfig","parameters":[{"name":"id","in":"path","description":"ID of the SAML configuration.","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSAMLConfigRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["authentication services"],"summary":"Delete a SAML configuration","operationId":"deleteSAMLConfig","parameters":[{"name":"id","in":"path","description":"ID of the SAML configuration.","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}}}},"/saml/{id}/enabled":{"put":{"tags":["authentication services"],"summary":"Enable/Disable a SAML configuration","operationId":"enableSAMLConfig","parameters":[{"name":"id","in":"path","description":"ID of the SAML configuration.","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SAMLConfigurationEnableRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/roles/{id}":{"get":{"tags":["security"],"summary":"Retrieve a user role","description":"Retrieves a user role","operationId":"getRole","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the role","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"ldap","in":"query","description":"If specified, retrieve LDAP information for the user role. This requires a connection to the LDAP Server.","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/RoleResponse"},{"$ref":"#/components/schemas/RoleWithLdapInfoResponse"}]}}}}}},"put":{"tags":["security"],"summary":"Replace a role","description":"Replaces a role.","operationId":"replaceRole","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the role","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateRoleRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["security"],"summary":"Delete a role","description":"Delete a role","operationId":"deleteRole","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the role","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}}}},"/roles/{id}/items":{"get":{"tags":["permissions"],"summary":"Retrieve permissions for all security items","description":"Retrieves permissions for all security items for the role","operationId":"getAllItemPermissions_1","parameters":[{"name":"limit","in":"query","description":"Specifies the maximum number of results to return, which is useful for iterative results paging. The limit can be any number between 0 to 1000 inclusive.","required":false,"schema":{"maximum":1000,"minimum":0,"type":"integer","format":"int64","default":100}},{"name":"offset","in":"query","description":"Specifies the offset to start the result, which is useful for iterative results paging. An offset of 0 will return results starting from the first entry. The offset can be any number greater than or equal to 0.","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"id","in":"path","description":"UUID (unique identifier) of the role","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"category","in":"query","description":"If specified, only items in this category will be returned.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ItemPermissionPage"}}}}}},"put":{"tags":["permissions"],"summary":"Update permissions for security items","description":"Updates permissions for security items for the role. Only the items supplied in the request body will be updated, permissions for all other items not supplied in the request body will not be updated. Use method GET /permissions/metadata/items to retrieve the item permissions available on FME Flow.","operationId":"replaceItemPermissions_1","parameters":[{"name":"id","in":"path","description":"UUID (unique identifier) of the role","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UpdateItemPermissionRequest"}}}},"required":true},"responses":{"200":{"description":"OK"},"207":{"description":"The response body contains information about the result of the update operation, indicating success or error status for each item permission update."}}}},"/roles/{id}/items/{category}/{item}/permissions":{"put":{"tags":["permissions"],"summary":"Update permissions for a security item","description":"Updates permissions for a security item for the role. Use method GET /permissions/metadata/items to retrieve the item permissions available on FME Flow.","operationId":"replaceSingleItemPermissions_1","parameters":[{"name":"id","in":"path","description":"UUID (unique identifier) of the role","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"category","in":"path","description":"Security category","required":true,"schema":{"type":"string"}},{"name":"item","in":"path","description":"Security item","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Security item permissions","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"204":{"description":"No Content"}}},"post":{"tags":["permissions"],"summary":"Grant permissions for a security item","description":"Grants permissions for a security item for the role. Existing permissions are not removed. Use method GET /permissions/metadata/items to retrieve the item permissions available on FME Flow.","operationId":"grantSingleItemPermissions_1","parameters":[{"name":"id","in":"path","description":"UUID (unique identifier) of the role","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"category","in":"path","description":"Security category","required":true,"schema":{"type":"string"}},{"name":"item","in":"path","description":"Security item","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Security item permissions","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["permissions"],"summary":"Revoke permissions for a security item","description":"Revokes permissions for a security item for the role.","operationId":"revokeSingleItemPermissions_1","parameters":[{"name":"id","in":"path","description":"UUID (unique identifier) of the role","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"category","in":"path","description":"Security category","required":true,"schema":{"type":"string"}},{"name":"item","in":"path","description":"Security item","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}}},"/roles/{id}/categories":{"get":{"tags":["permissions"],"summary":"Retrieve permissions for all security categories","description":"Retrieves permissions for all security categories for the role","operationId":"getAllCategoryPermissions_1","parameters":[{"name":"id","in":"path","description":"UUID (unique identifier) of the role","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CategoryPermissionResponse"}}}}}}},"put":{"tags":["permissions"],"summary":"Update permissions for security categories","description":"Updates permissions for security categories for the role. Only the categories supplied in the request body will be updated, permissions for all other categories not supplied in the request body will not be updated. Use method GET /permissions/metadata/categories to retrieve the category permissions available on FME Flow.","operationId":"replaceCategoryPermissions_1","parameters":[{"name":"id","in":"path","description":"UUID (unique identifier) of the role","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UpdateCategoryPermissionRequest"}}}},"required":true},"responses":{"200":{"description":"OK"},"207":{"description":"The response body contains information about the result of the update operation, indicating success or error status for each category permissions update."}}}},"/roles/{id}/categories/{category}/permissions":{"put":{"tags":["permissions"],"summary":"Update permissions for a security category","description":"Updates/replaces permissions for a security category for the role. Use method GET /permissions/metadata/categories to retrieve the category permissions available on FME Flow.","operationId":"replaceSingleCategoryPermissions_1","parameters":[{"name":"id","in":"path","description":"UUID (unique identifier) of the role","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"category","in":"path","description":"Security category","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Security permissions","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"204":{"description":"No Content"}}},"post":{"tags":["permissions"],"summary":"Grant permissions for a security category","description":"Grants permissions for a security category for the role. Existing permissions are not removed. Use method GET /permissions/metadata/categories to retrieve the category permissions available on FME Flow.","operationId":"grantSingleCategoryPermissions_1","parameters":[{"name":"id","in":"path","description":"UUID (unique identifier) of the role","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"category","in":"path","description":"Security category","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Security permissions","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["permissions"],"summary":"Revoke permissions for a security category","description":"Revokes permissions for a security category for the role.","operationId":"revokeSingleCategoryPermissions_1","parameters":[{"name":"id","in":"path","description":"UUID (unique identifier) of the role","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"category","in":"path","description":"Security category","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}}},"/roles/{id}/accounts":{"get":{"tags":["security"],"summary":"Get user accounts","description":"Get the user accounts of a role","operationId":"getRoles_1","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the role","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RoleAccountAssignmentResponse"}}}}}}},"put":{"tags":["security"],"summary":"Replace the accounts assigned to a role","description":"Replaces all of the accounts that are assigned to a role.","operationId":"replaceAccounts","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the role","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"description":"Accounts to assign to the role","content":{"application/json":{"schema":{"uniqueItems":true,"type":"array","items":{"type":"string","format":"uuid"}}}},"required":true},"responses":{"204":{"description":"No Content"}}},"post":{"tags":["security"],"summary":"Assign accounts to a role","description":"Assigns accounts to a role.","operationId":"assignAccounts","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the role","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"description":"Accounts to assign to the role","content":{"application/json":{"schema":{"uniqueItems":true,"type":"array","items":{"type":"string","format":"uuid"}}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/resources/connections/{connection}":{"get":{"tags":["resources"],"summary":"Retrieve resource connection details","description":"Retrieves information about a resource connection.","operationId":"getConnection","parameters":[{"name":"connection","in":"path","description":"Name of a resource connection.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SharedResourceResponse"}}}}}},"put":{"tags":["resources"],"summary":"Replace a resource connection","description":"Replace an existing resource connection. Use method GET /resources/types to retrieve the valid types of resources and valid properties for each type. Replacing file resource is not supported. If a password or secret key is not supplied, then the password or secret key for this resource connection will not be updated.","operationId":"replaceConnection","parameters":[{"name":"connection","in":"path","description":"Name of a resource connection.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSharedResourceRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["resources"],"summary":"Delete a resource connection","description":"Deletes an existing resource connection.","operationId":"deleteConnection","parameters":[{"name":"connection","in":"path","description":"Name of a resource connection.","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}}},"/repositories/{repository}":{"get":{"tags":["repositories"],"summary":"Retrieve a repository","description":"Retrieves a repository","operationId":"getRepository","parameters":[{"name":"repository","in":"path","description":"Specifies the name of the repository","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RepositoryResponse"}}}}}},"put":{"tags":["repositories"],"summary":"Replace a repository","description":"Replaces a repository.","operationId":"replaceRepository","parameters":[{"name":"repository","in":"path","description":"Specifies the name of the repository","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateRepositoryRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["repositories"],"summary":"Delete a repository","description":"Delete a repository","operationId":"deleteRepository","parameters":[{"name":"repository","in":"path","description":"Specifies the name of the repository","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}}},"/remoteengines/{id}":{"get":{"tags":["remote engines"],"summary":"Retrieve a Remote Engine connection","description":"Retrieves a Remote Engine connection","operationId":"getConnection_1","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the Remote Engine connection","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/RemoteEngineConnectionResponse"},{"$ref":"#/components/schemas/RemoteEngineConnectionResponseSnowflake"}]}}}}}},"put":{"tags":["remote engines"],"summary":"Replace a Remote Engine connection","description":"Replaces a Remote Engine connection","operationId":"replaceConnection_1","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the Remote Engine connection","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/UpdateRemoteEngineConnectionRequest"},{"$ref":"#/components/schemas/UpdateRemoteEngineConnectionRequestSnowflake"}]}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["remote engines"],"summary":"Delete a Remote Engine connection","description":"Delete a Remote Engine connection","operationId":"deleteConnection_1","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the Remote Engine connection","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}}}},"/remoteengines/{id}/accounts/{account}/password":{"put":{"tags":["remote engines"],"summary":"Update an account password on a Remote Engine Service using the details of an existing connection","description":"Updates an account password on a Remote Engine Service using the details of an existing connection. Any properties supplied in the request will override existing properties.","operationId":"updatePasswordExisting","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the Remote Engine connection","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"account","in":"path","description":"Specifies the user account name","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/UpdatePasswordExistingRemoteEngineConnectionRequest"},{"$ref":"#/components/schemas/UpdatePasswordExistingRemoteEngineConnectionRequestSnowflake"}]}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/remoteengines/accounts/{account}/password":{"put":{"tags":["remote engines"],"summary":"Update an account password on a Remote Engine Service","operationId":"updatePassword","parameters":[{"name":"account","in":"path","description":"Specifies the user account name","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/UpdatePasswordRequest"},{"$ref":"#/components/schemas/UpdatePasswordRequestSnowflake"}]}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/queues/{name}":{"get":{"tags":["enginemanagement"],"summary":"Retrieve a queue","description":"Retrieves a queue","operationId":"getQueue","parameters":[{"name":"name","in":"path","description":"Name of the queue","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DetailedQueueResponse"}}}}}},"put":{"tags":["enginemanagement"],"summary":"Replace a queue","description":"Replaces a queue.","operationId":"replaceQueue","parameters":[{"name":"name","in":"path","description":"Name of the queue","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateQueueRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["enginemanagement"],"summary":"Delete a queue","description":"Delete a queue","operationId":"deleteQueue","parameters":[{"name":"name","in":"path","description":"Name of the queue","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}}},"/publications/{publication}":{"get":{"tags":["notifications"],"summary":"Retrieve a publication","operationId":"getPublication","parameters":[{"name":"publication","in":"path","description":"Name of the publication to retrieve","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/SqsPublicationResponse"},{"$ref":"#/components/schemas/DropboxWatchPublicationResponse"},{"$ref":"#/components/schemas/DirWatchPublicationResponse"},{"$ref":"#/components/schemas/EventGridPublicationResponse"},{"$ref":"#/components/schemas/SnsPublicationResponse"},{"$ref":"#/components/schemas/S3WatchPublicationResponse"},{"$ref":"#/components/schemas/FtpWatchPublicationResponse"},{"$ref":"#/components/schemas/JmsPublicationResponse"},{"$ref":"#/components/schemas/SmtpPublicationResponse"},{"$ref":"#/components/schemas/WebSocketPublicationResponse"},{"$ref":"#/components/schemas/UdpPublicationResponse"},{"$ref":"#/components/schemas/ImapPublicationResponse"}]}}}}}},"put":{"tags":["notifications"],"summary":"Replace a publication","operationId":"replacePublication","parameters":[{"name":"publication","in":"path","description":"Name of the publication to update","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/UpdateDirWatchPublicationRequest"},{"$ref":"#/components/schemas/UpdateDropboxWatchPublicationRequest"},{"$ref":"#/components/schemas/UpdateEventGridPublicationRequest"},{"$ref":"#/components/schemas/UpdateFtpWatchPublicationRequest"},{"$ref":"#/components/schemas/UpdateImapPublicationRequest"},{"$ref":"#/components/schemas/UpdateJmsPublicationRequest"},{"$ref":"#/components/schemas/UpdateS3WatchPublicationRequest"},{"$ref":"#/components/schemas/UpdateSmtpPublicationRequest"},{"$ref":"#/components/schemas/UpdateSnsPublicationRequest"},{"$ref":"#/components/schemas/UpdateSqsPublicationRequest"},{"$ref":"#/components/schemas/UpdateUdpPublicationRequest"},{"$ref":"#/components/schemas/UpdateWebSocketPublicationRequest"}]}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["notifications"],"summary":"Delete a publication","operationId":"deletePublication","parameters":[{"name":"publication","in":"path","description":"Name of the publication to remove","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}}},"/projects/{id}":{"get":{"tags":["projects"],"summary":"Retrieve a project","description":"Retrieves a project","operationId":"getProject","parameters":[{"name":"id","in":"path","description":"Specifies the ID of the project","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectResponse"}}}}}},"put":{"tags":["projects"],"summary":"Update an existing project","description":"Updates the fields specified in the request body of an existing project","operationId":"update_2","parameters":[{"name":"id","in":"path","description":"Specifies the ID of the project","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProjectRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}},"delete":{"tags":["projects"],"summary":"Delete a project","description":"Delete a project given the ID","operationId":"deleteProject","parameters":[{"name":"id","in":"path","description":"UUID of the project","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}}}},"/projects/{id}/icon":{"get":{"tags":["projects"],"summary":"Retrieve a project icon","description":"Retrieves a project's icon","operationId":"getIcon","parameters":[{"name":"id","in":"path","description":"Specifies the ID of the project","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Success. The icon blob is in the response body.","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}},"put":{"tags":["projects"],"summary":"Update the project icon","description":"Updates a project's icon","operationId":"updateIcon","parameters":[{"name":"id","in":"path","description":"UUID of the project","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","description":"The project icon file","format":"binary"}}}}}},"responses":{"200":{"description":"OK"},"204":{"description":"No Content"}}},"delete":{"tags":["projects"],"summary":"Delete a project icon","description":"Delete a project's icon given the project's ID","operationId":"deleteIcon","parameters":[{"name":"id","in":"path","description":"UUID of the project","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content. If it existed, the project icon was deleted."}}}},"/projects/imports/{id}":{"get":{"tags":["projects"],"summary":"Get an import","description":"Get the information about an import, whether created by uploading or from a shared resource","operationId":"get_4","parameters":[{"name":"id","in":"path","description":"Specifies the ID of the project","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ImportResponse"}}}}}},"put":{"tags":["projects"],"summary":"Updates an import","description":"Updates an existing import's settings as specified in the request body","operationId":"updateImportSettings","parameters":[{"name":"id","in":"path","description":"Specifies the ID of the project","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportSettingsRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["projects"],"summary":"Deletes an import","description":"Deletes an existing import, and deletes the associated uploaded file if present","operationId":"delete_3","parameters":[{"name":"id","in":"path","description":"Specifies the ID of the project","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}}}},"/permissions/items/{category}/{item}":{"get":{"tags":["permissions"],"summary":"Retrieve permissions for security item","description":"Retrieves permissions for a security item","operationId":"getItem","parameters":[{"name":"category","in":"path","description":"Category of the security item","required":true,"schema":{"type":"string"}},{"name":"item","in":"path","description":"Name of the security item","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ItemPermissionsResponse"}}}}}},"put":{"tags":["permissions"],"summary":"Update a security item","description":"Updates a security item.","operationId":"updateItem","parameters":[{"name":"category","in":"path","description":"Category of the security item","required":true,"schema":{"type":"string"}},{"name":"item","in":"path","description":"Name of the security item","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateItemPermissionsRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/permissions/items/{category}/{item}/ownerid":{"put":{"tags":["permissions"],"summary":"Update the owner of a security item","description":"Updates the owner of a security item.","operationId":"updateItemOwner","parameters":[{"name":"category","in":"path","description":"Category of the security item","required":true,"schema":{"type":"string"}},{"name":"item","in":"path","description":"Name of the security item","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateItemOwnerRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/ldap/windows/{id}":{"get":{"tags":["authentication services"],"summary":"Retrieve Windows LDAP server details","operationId":"getWindowsServer","parameters":[{"name":"id","in":"path","description":"ID of the Windows LDAP server.","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/WindowsLdapServerResponse"}}}}}},"put":{"tags":["authentication services"],"summary":"Update a Windows LDAP server","description":"Updates a Windows LDAP server. The settings provided will replace the settings in the existing LDAP server. Note: all fields will be replaced. If a field is not provided, then a default value will be used.","operationId":"updateWindowsServer","parameters":[{"name":"id","in":"path","description":"ID of the Windows LDAP server.","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateWindowsLdapServerRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["authentication services"],"summary":"Delete a Windows LDAP server","operationId":"deleteWindowsServer","parameters":[{"name":"id","in":"path","description":"ID of the Windows LDAP server.","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}}}},"/ldap/generic/{id}":{"get":{"tags":["authentication services"],"summary":"Retrieve generic LDAP server details","operationId":"getGenericServer","parameters":[{"name":"id","in":"path","description":"ID of the generic LDAP server.","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GenericLdapServerResponse"}}}}}},"put":{"tags":["authentication services"],"summary":"Update a generic LDAP server","description":"Updates a generic LDAP server. The settings provided will replace the settings in the existing LDAP server. Note: all fields will be replaced. If a field is not provided, then a default value will be used.","operationId":"updateGenericServer","parameters":[{"name":"id","in":"path","description":"ID of the generic LDAP server.","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateGenericLdapServerRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["authentication services"],"summary":"Delete a generic LDAP server","operationId":"deleteGenericServer","parameters":[{"name":"id","in":"path","description":"ID of the generic LDAP server.","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}}}},"/jobrules/{id}":{"get":{"tags":["enginemanagement"],"summary":"Retrieve specific job routing rule","description":"Retrieves specific job routing rule.","operationId":"getJobRule","parameters":[{"name":"id","in":"path","description":"ID of the job routing rule.","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JobRuleResponse"}}}}}},"put":{"tags":["enginemanagement"],"summary":"Updates a job routing rule","description":"Updates an existing job routing rule.","operationId":"updateJobRule","parameters":[{"name":"id","in":"path","description":"ID of the job routing rule.","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateJobRuleRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["enginemanagement"],"summary":"Delete a job routing rule","description":"Deletes an existing job routing rule.","operationId":"deleteJobRoute","parameters":[{"name":"id","in":"path","description":"ID of the job routing rule.","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}}}},"/jobrules/{id}/enabled":{"put":{"tags":["enginemanagement"],"summary":"Enable/Disable a job routing rule","description":"Enable/Disable a job routing rule.","operationId":"enableJobRoute","parameters":[{"name":"id","in":"path","description":"ID of the job routing rule.","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnableJobRuleRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/jobrules/order":{"put":{"tags":["enginemanagement"],"summary":"Update job routing rule order by swapping order","description":"Updates an existing job routing rule order by swapping order.","operationId":"orderJobRoute","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderJobRuleRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/entraid/{id}":{"get":{"tags":["authentication services"],"summary":"Retrieve a Microsoft Entra (Azure AD) connection details","operationId":"getConnection_2","parameters":[{"name":"id","in":"path","description":"The id of the Microsoft Entra (Azure AD) connection to return.","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/EntraIDPrimaryTenantResponse"},{"$ref":"#/components/schemas/EntraIDSecondaryTenantResponse"}]}}}}}},"put":{"tags":["authentication services"],"summary":"Update a Microsoft Entra (Azure AD) connection","operationId":"replaceConnection_2","parameters":[{"name":"id","in":"path","description":"The tenant ID for the Microsoft Entra (Azure AD) connection.","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/UpdateEntraIDPrimaryTenantRequest"},{"$ref":"#/components/schemas/UpdateEntraIDSecondaryTenantRequest"}]}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["authentication services"],"summary":"Remove a Microsoft Entra (Azure AD) connection","operationId":"deleteConnection_2","parameters":[{"name":"id","in":"path","description":"The tenant ID for the Microsoft Entra (Azure AD) connection.","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}}}},"/enginerules/{id}":{"get":{"tags":["enginemanagement"],"summary":"Retrieve specific engine assignment rule","description":"Retrieves specific engine assignment rule.","operationId":"getEngineRule","parameters":[{"name":"id","in":"path","description":"ID of the engine rule.","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EngineRuleResponse"}}}}}},"put":{"tags":["enginemanagement"],"summary":"Updates an engine assignment rule","description":"Updates an existing engine assignment rule.","operationId":"updateEngineRule","parameters":[{"name":"id","in":"path","description":"ID of the engine assignment rule.","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateEngineRuleRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["enginemanagement"],"summary":"Delete an engine assignment rule","description":"Deletes an existing engine assignment rule.","operationId":"deleteEngineRule","parameters":[{"name":"id","in":"path","description":"ID of the engine assignment rule.","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}}}},"/enginerules/{id}/enabled":{"put":{"tags":["enginemanagement"],"summary":"Enable/Disable an engine assignment rule","description":"Enable/Disable an engine assignment rule.","operationId":"enableEngineRule","parameters":[{"name":"id","in":"path","description":"ID of the engine assignment rule.","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnableEngineRuleRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/deploymentparameters/{name}":{"get":{"tags":["deployment parameters"],"summary":"Retrieve an individual deployment parameter","description":"Retrieves an individual deployment parameter by its unique name","operationId":"get_8","parameters":[{"name":"name","in":"path","description":"Name of the deployment parameter.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DeploymentParameterResponse"},{"$ref":"#/components/schemas/DeploymentParameterDropdownResponse"},{"$ref":"#/components/schemas/DeploymentParameterPasswordResponse"},{"$ref":"#/components/schemas/DeploymentParameterTextResponse"}]}}}}}},"put":{"tags":["deployment parameters"],"summary":"Update an existing deployment parameter","description":"Updates the value and type of a deployment parameter.    Deployment parameters support a subset of the FME JSON Parameters specification.   Here are examples of JSON requests to define the types that are currently supported.\n\n   **Text**\n   ```\n   {\n     \"value\": \"Example\",\n     \"type\": \"text\"\n   }\n   ```\n\n   **Database Connection**\n   ```\n   {\n     \"value\": \"Example\",\n     \"type\": \"dropdown\",\n     \"choiceSettings\": {\n       \"choiceSet\": \"dbConnections\",\n       \"family\": \"Example\"\n     }\n   }\n   ```\n\n   **Web Connection**\n   ```\n   {\n     \"value\": \"Example\",\n     \"type\": \"dropdown\",\n     \"choiceSettings\": {\n       \"choiceSet\": \"webConnections\",\n       \"services\": [\n         \"Example\"\n       ],\n       \"excludedServices\": [\n         \"Example\"\n       ]\n     }\n   }\n   ```\n\n   **Password**\n   ```\n   {\n     \"value\": \"Example\",\n     \"type\": \"password\"\n   }\n   ```\n","operationId":"updateDeploymentParameter","parameters":[{"name":"name","in":"path","description":"Name of the deployment parameter.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DeploymentParameterRequest"},{"$ref":"#/components/schemas/DeploymentParameterDropdown"},{"$ref":"#/components/schemas/DeploymentParameterPassword"},{"$ref":"#/components/schemas/DeploymentParameterText"}]}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["deployment parameters"],"summary":"Delete a deployment parameter.","description":"Delete a deployment parameter given the name.","operationId":"delete_5","parameters":[{"name":"name","in":"path","description":"Name of the deployment parameter.","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}}},"/datavirtualization/{apiID}":{"get":{"tags":["data virtualization"],"summary":"Retrieve a data virtualization API","operationId":"get_10","parameters":[{"name":"apiID","in":"path","description":"Specifies the UUID (unique identifier) of the data virtualization API","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataVirtualizationApiResponse"}}}}}},"put":{"tags":["data virtualization"],"summary":"Update a data virtualization API","operationId":"update_3","parameters":[{"name":"apiID","in":"path","description":"Specifies the UUID (unique identifier) of the data virtualization API","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateDataVirtualizationApiRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["data virtualization"],"summary":"Delete a data virtualization API","operationId":"delete_6","parameters":[{"name":"apiID","in":"path","description":"Specifies the UUID (unique identifier) of the data virtualization API","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}}}},"/datavirtualization/{apiID}/tags/{tagID}":{"get":{"tags":["data virtualization"],"summary":"Retrieve a tag for a data virtualization API","operationId":"get_11","parameters":[{"name":"apiID","in":"path","description":"Specifies the UUID (unique identifier) of the data virtualization API","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"tagID","in":"path","description":"Specifies the UUID (unique identifier) of the tag","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataVirtualizationTagResponse"}}}}}},"put":{"tags":["data virtualization"],"summary":"Updates a tag for a data virtualization API","operationId":"update_4","parameters":[{"name":"apiID","in":"path","description":"Specifies the UUID (unique identifier) of the data virtualization API","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"tagID","in":"path","description":"Specifies the UUID (unique identifier) of the tag","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataVirtualizationTagRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["data virtualization"],"summary":"Delete a tag for a data virtualization API","operationId":"delete_7","parameters":[{"name":"apiID","in":"path","description":"Specifies the UUID (unique identifier) of the data virtualization API","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"tagID","in":"path","description":"Specifies the UUID (unique identifier) of the tag","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}}}},"/datavirtualization/{apiID}/security":{"put":{"tags":["data virtualization"],"summary":"Update the security configuration for a data virtualization API","operationId":"updateSecurity","parameters":[{"name":"apiID","in":"path","description":"Specifies the UUID (unique identifier) of the data virtualization API","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataVirtualizationApiSecurityRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/datavirtualization/{apiID}/jobexpiry":{"put":{"tags":["data virtualization"],"summary":"Update the job expiry configuration for a data virtualization API","operationId":"updateJobExpiry","parameters":[{"name":"apiID","in":"path","description":"Specifies the UUID (unique identifier) of the data virtualization API","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataVirtualizationApiJobExpiryRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/datavirtualization/{apiID}/endpoints/{endpointID}/security":{"put":{"tags":["data virtualization"],"summary":"Updates the security configuration for a data virtualization API endpoint","operationId":"updateSecurity_1","parameters":[{"name":"apiID","in":"path","description":"Specifies the UUID (unique identifier) of the data virtualization API","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"endpointID","in":"path","description":"Specifies the UUID (unique identifier) of the endpoint","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataVirtualizationEndpointSecurityRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/datavirtualization/{apiID}/endpoints/{endpointID}/jobexpiry":{"put":{"tags":["data virtualization"],"summary":"Updates the job expiry configuration for a data virtualization API endpoint","operationId":"updateJobExpiry_1","parameters":[{"name":"apiID","in":"path","description":"Specifies the UUID (unique identifier) of the data virtualization API","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"endpointID","in":"path","description":"Specifies the UUID (unique identifier) of the endpoint","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataVirtualizationEndpointJobExpiryRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/datavirtualization/{apiID}/endpoints/{endpointID}/caching":{"put":{"tags":["data virtualization"],"summary":"Updates the caching configuration for a data virtualization API endpoint","operationId":"updateCaching","parameters":[{"name":"apiID","in":"path","description":"Specifies the UUID (unique identifier) of the data virtualization API","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"endpointID","in":"path","description":"Specifies the UUID (unique identifier) of the endpoint","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataVirtualizationEndpointCachingRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/datavirtualization/{apiID}/endpoints/{endpointID}/asyncprocessing":{"put":{"tags":["data virtualization"],"summary":"Updates the asynchronous processing configuration for a data virtualization API endpoint","operationId":"updateAsyncProcessing","parameters":[{"name":"apiID","in":"path","description":"Specifies the UUID (unique identifier) of the data virtualization API","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"endpointID","in":"path","description":"Specifies the UUID (unique identifier) of the endpoint","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataVirtualizationEndpointAsyncRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/datavirtualization/{apiID}/endpoints/responsetype":{"put":{"tags":["data virtualization"],"summary":"Update the response type for a list of endpoints","operationId":"updateResponseType","parameters":[{"name":"apiID","in":"path","description":"Specifies the UUID (unique identifier) of the data virtualization API","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataVirtualizationEndpointUpdateResponseType"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/datavirtualization/{apiID}/caching":{"put":{"tags":["data virtualization"],"summary":"Update the caching configuration for a data virtualization API","operationId":"updateCaching_1","parameters":[{"name":"apiID","in":"path","description":"Specifies the UUID (unique identifier) of the data virtualization API","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataVirtualizationApiCachingRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/datavirtualization/{apiID}/asyncprocessing":{"put":{"tags":["data virtualization"],"summary":"Update the asynchronous processing configuration for a data virtualization API","operationId":"updateAsyncProcessing_1","parameters":[{"name":"apiID","in":"path","description":"Specifies the UUID (unique identifier) of the data virtualization API","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataVirtualizationApiAsyncRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/connections/{connection}":{"get":{"tags":["connections"],"summary":"Retrieve a connection","operationId":"getConnection_3","parameters":[{"name":"connection","in":"path","description":"Specifies the name of the connection","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DatabaseConnectionResponse"},{"$ref":"#/components/schemas/TokenConnectionResponse"},{"$ref":"#/components/schemas/BasicConnectionResponse"},{"$ref":"#/components/schemas/OAuthV2ConnectionResponse"}]}}}}}},"put":{"tags":["connections"],"summary":"Replace the connection details for an existing connection","description":"Replaces the various connection-related details for an existing connection, but does not replace the connection itself","operationId":"replaceConnectionDetails","parameters":[{"name":"connection","in":"path","description":"Specifies the name of the connection whose details should be replaced","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/UpdateBasicConnectionRequest"},{"$ref":"#/components/schemas/UpdateDatabaseConnectionRequest"},{"$ref":"#/components/schemas/UpdateOAuthV2ConnectionRequest"},{"$ref":"#/components/schemas/UpdateTokenConnectionRequest"}]}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["connections"],"summary":"Delete a connection","operationId":"deleteConnection_3","parameters":[{"name":"connection","in":"path","description":"Specifies the name of the connection to delete","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}}},"/configuration/topicmonitoring/internalWebsocketUrl":{"put":{"tags":["configuration"],"summary":"Update the internal websocket URL configuration.","operationId":"updateInternalWebSocketURLConfig","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TopicMonitoringURLRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/configuration/topicmonitoring/externalWebsocketPort":{"put":{"tags":["configuration"],"summary":"Update the external websocket port configuration.","operationId":"updateIExternalWebSocketPortConfig","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TopicMonitoringPortRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/configuration/topicmonitoring/externalWebsocketHost":{"put":{"tags":["configuration"],"summary":"Update the external websocket host configuration.","operationId":"updateExternalWebSocketHostConfig","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TopicMonitoringHostRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/configuration/systememail":{"get":{"tags":["configuration"],"summary":"Retrieve system email properties","description":"Retrieves system email properties.","operationId":"getSystemEmailProps","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SystemEmailPropsResponse"}}}}}},"put":{"tags":["configuration"],"summary":"Update system email properties","description":"Updates system email properties.","operationId":"updateSystemEmailProps","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSystemEmailPropsRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/configuration/proxy":{"get":{"tags":["configuration"],"summary":"Retrieve the proxy configuration","operationId":"getProxyConfig","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProxyConfigResponse"}}}}}},"put":{"tags":["configuration"],"summary":"Update the proxy configuration","operationId":"updateProxyConfig","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProxyConfigRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/configuration/passwordreuse":{"get":{"tags":["configuration"],"summary":"Retrieve the password reuse configuration","description":"Retrieves the password reuse configuration.","operationId":"getPasswordReuseCheck","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PasswordReuseCheckResponse"}}}}}},"put":{"tags":["configuration"],"summary":"Update the password reuse configuration","description":"Enables or disables password reuse check and specifies the number of recent passwords to check for reuse.","operationId":"updatePasswordReuseCheck","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePasswordReuseCheckRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/configuration/passwordreuse/enabled":{"put":{"tags":["configuration"],"summary":"Enable or disable password reuse check","description":"Enables or disables password reuse check.","operationId":"enablePasswordReuseCheck","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnablePasswordReuseCheckRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/configuration/passwordreset":{"get":{"tags":["configuration"],"summary":"Retrieve information about password reset configuration","description":"Retrieves the reset password configuration","operationId":"getPasswordResetProperties","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PasswordResetPropertiesResponse"}}}}}},"put":{"tags":["configuration"],"summary":"Update password reset configuration","description":"Update password reset configuration","operationId":"setPasswordResetProperties","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PasswordResetPropertiesRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/configuration/passwordreset/enabled":{"get":{"tags":["configuration"],"summary":"Retrieve enabled status for password reset","description":"Retrieves the reset password enabled status","operationId":"getIsEnabled","responses":{"200":{"description":"The configured settings for password reset are rendered in the response body.","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EnablePasswordResetResponse"}}}}}},"put":{"tags":["configuration"],"summary":"Enable/Disable password reset","description":"Enable or Disable password reset","operationId":"setIsEnabled","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnablePasswordResetRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/configuration/passwordpolicy":{"get":{"tags":["configuration"],"summary":"Retrieve a password policy","description":"Retrieves a password policy","operationId":"getPasswordPolicy","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PasswordPolicyResponse"}}}}}},"put":{"tags":["configuration"],"summary":"Update a password policy","operationId":"updatePasswordPolicy","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePasswordPolicyRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/configuration/passwordpolicy/enabled":{"put":{"tags":["configuration"],"summary":"Enable or disable a password policy","operationId":"enablePasswordPolicy","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnablePasswordPolicyRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/configuration/passwordexpiration":{"get":{"tags":["configuration"],"summary":"Retrieve the current password expiration configuration","operationId":"getPasswordExpiration","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PasswordExpirationResponse"}}}}}},"put":{"tags":["configuration"],"summary":"Update a password expiration configuration","description":"Enables or disables password expiration and specifies the number of days after which a password expires.","operationId":"updatePasswordExpiration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePasswordExpirationRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/configuration/passwordexpiration/enabled":{"put":{"tags":["configuration"],"summary":"Enable or disable password expiration","operationId":"enablePasswordExpiration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnablePasswordExpirationRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/configuration/multiplewebsessions":{"get":{"tags":["configuration"],"summary":"Retrieve the configuration for allowing multiple web sessions.","operationId":"getMultiWebSessionsConfig","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MultiWebSessionsResponse"}}}}}},"put":{"tags":["configuration"],"summary":"Update the configuration to allowing multiple web sessions.","description":"When enabled, a user can login to FME Flow with more than one browser at a time.","operationId":"updateMultiWebSessionsConfig","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultiWebSessionsRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/configuration/engines":{"get":{"tags":["configuration"],"summary":"Retrieves global configuration for engines","operationId":"getEnginesConfig","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EnginesConfigResponse"}}}}}},"put":{"tags":["configuration"],"summary":"Updates global configuration for engines","operationId":"updateEnginesConfig","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateEnginesConfigRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/configuration/encryption/mode/weak":{"put":{"tags":["configuration"],"summary":"Reset FME Server encryption to default (weak) mode","description":"Reset FME Server encryption to weak mode. This will delete the encryption key file.","operationId":"reset","responses":{"204":{"description":"No Content"}}}},"/configuration/encryption/keyfile":{"get":{"tags":["configuration"],"summary":"Download the encryption key file","operationId":"downloadKey","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}}},"put":{"tags":["configuration"],"summary":"Upload an encryption key file.","operationId":"uploadKeyFile","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","description":"The encryption key file.","format":"binary"}}}}}},"responses":{"204":{"description":"No Content"}}}},"/cleanup/tasks/{category}/{name}":{"get":{"tags":["cleanup"],"summary":"Retrieve an individual cleanup task","operationId":"getTask","parameters":[{"name":"category","in":"path","description":"Category of the cleanup task","required":true,"schema":{"type":"string"}},{"name":"name","in":"path","description":"Name of the cleanup task","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CleanupTaskResponse"}}}}}},"put":{"tags":["cleanup"],"summary":"Update a cleanup task","description":"Updates information for an existing cleanup task given a category and name","operationId":"replaceTask","parameters":[{"name":"name","in":"path","description":"Specifies the name of the cleanup task","required":true,"schema":{"type":"string"}},{"name":"category","in":"path","description":"Specifies the category of the cleanup task","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCleanupTaskRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["cleanup"],"summary":"Delete a cleanup task","operationId":"deleteTask","parameters":[{"name":"name","in":"path","description":"Specifies the name of the cleanup task","required":true,"schema":{"type":"string"}},{"name":"category","in":"path","description":"Specifies the category of the cleanup task","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}}},"/cleanup/tasks/{category}/{name}/enabled":{"put":{"tags":["cleanup"],"summary":"Enable/Disable a cleanup task","operationId":"enableTask","parameters":[{"name":"name","in":"path","description":"Specifies the name of the cleanup task","required":true,"schema":{"type":"string"}},{"name":"category","in":"path","description":"Specifies the category of the cleanup task","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CleanupTaskEnableRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/cleanup/system/{type}":{"get":{"tags":["cleanup"],"summary":"Retrieve an individual system scheduled cleanup task","operationId":"getTask_1","parameters":[{"name":"type","in":"path","description":"The particular system task to get","required":true,"schema":{"type":"string","enum":["jobs","systemEvents","tokens","automationLogs"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CleanupSystemTaskResponse"}}}}}},"put":{"tags":["cleanup"],"summary":"Update a system scheduled cleanup task","operationId":"replaceTask_1","parameters":[{"name":"type","in":"path","description":"The particular system task to modify","required":true,"schema":{"type":"string","enum":["jobs","systemEvents","tokens","automationLogs"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSystemTaskRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/cleanup/configuration":{"get":{"tags":["cleanup"],"summary":"Retrieves the configuration settings for FME Flow cleanup","description":"Retrieves the configuration settings for FME Flow cleanup. A warning level event will trigger all cleanup tasks to execute as they are configured. A critical level event will trigger all cleanup tasks to execute and disregard max age constraints. This means resources are purged regardless of how old they are.","operationId":"getConfiguration","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CleanupConfigurationResponse"}}}}}},"put":{"tags":["cleanup"],"summary":"Updates the configuration settings for FME Flow cleanup","description":"Updates the configuration settings for FME Flow cleanup. A warning level event will trigger all cleanup tasks to execute as they are configured. A critical level event will trigger all cleanup tasks to execute and disregard max age constraints. This means resources are purged regardless of how old they are.","operationId":"replaceConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CleanupConfigurationRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/broadcast/messages/{id}":{"get":{"tags":["broadcast"],"summary":"Retrieve broadcast message","description":"Retrieves a broadcast message.","operationId":"getMessage","parameters":[{"name":"id","in":"path","description":"ID of the broadcast message.","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BroadcastMessageResponse"}}}}}},"put":{"tags":["broadcast"],"summary":"Update a broadcast message","description":"Update an existing broadcast message.","operationId":"replaceMessage","parameters":[{"name":"id","in":"path","description":"ID of the broadcast message.","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBroadcastMessageRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["broadcast"],"summary":"Delete a broadcast message","description":"Deletes an existing broadcast message.","operationId":"deleteMessage","parameters":[{"name":"id","in":"path","description":"ID of the broadcast message.","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}}}},"/automations/{id}":{"get":{"tags":["automations"],"summary":"Retrieve an automation workflow","description":"Retrieves an automation workflow by its unique identifier","operationId":"getAutomation","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the automation workflow","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AutomationResponse"}}}}}},"put":{"tags":["automations"],"summary":"Replace an automation workflow","description":"Replaces an automation workflow.","operationId":"updateAutomation","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the automation workflow","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAutomationRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["automations"],"summary":"Delete an automation workflow","description":"Deletes an automation workflow.","operationId":"deleteAutomation","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the automation workflow","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}}}},"/automations/{id}/enabled":{"put":{"tags":["automations"],"summary":"Enable/Disable an automation workflow","description":"Set the enabled state for the automation workflow","operationId":"enableAutomation","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the automation workflow","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationEnableRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/automations/tags/{tagID}":{"get":{"tags":["automations"],"summary":"Retrieve an automation tag","operationId":"get_12","parameters":[{"name":"tagID","in":"path","description":"Specifies the UUID (unique identifier) of the tag","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TagResponse"}}}}}},"put":{"tags":["automations"],"summary":"Update an automation tag","operationId":"update_5","parameters":[{"name":"tagID","in":"path","description":"Specifies the UUID (unique identifier) of the tag","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["automations"],"summary":"Delete an automation tag","operationId":"delete_9","parameters":[{"name":"tagID","in":"path","description":"Specifies the UUID (unique identifier) of the tag","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}}}},"/activeperiods/{id}":{"get":{"tags":["enginemanagement"],"summary":"Retrieve specific active period","description":"Retrieves specific active period.","operationId":"getActivePeriod","parameters":[{"name":"id","in":"path","description":"ID of the active period.","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ActivePeriodResponse"}}}}}},"put":{"tags":["enginemanagement"],"summary":"Updates an active period","description":"Updates an active period.","operationId":"updateActivePeriod","parameters":[{"name":"id","in":"path","description":"ID of the active period.","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateActivePeriodRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["enginemanagement"],"summary":"Delete an active period","description":"Deletes an existing active period.","operationId":"deleteActivePeriod","parameters":[{"name":"id","in":"path","description":"ID of the active period.","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}}}},"/accounts/{id}":{"get":{"tags":["security"],"summary":"Retrieve a user account","description":"Retrieves a user account by its unique identifier","operationId":"getAccount","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the account","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"ldap","in":"query","description":"If specified, retrieve LDAP information for the user account. This requires a connection to the LDAP Server.","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/AccountResponse"},{"$ref":"#/components/schemas/DetailedAccountResponse"}]}}}}}},"put":{"tags":["security"],"summary":"Replace an account","description":"Replace an account. If a password is not supplied, then the password for this account will not be updated.","operationId":"replaceAccount","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the account","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAccountRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}},"delete":{"tags":["security"],"summary":"Delete an account","description":"Delete an account given the ID","operationId":"deleteAccount_1","parameters":[{"name":"id","in":"path","description":"Specifies the UUID (unique identifier) of the account","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"newOwner","in":"query","description":"The ID of the account that will own the items originally owned by this account. If not specified, then all items originally owned by this account will be owned by the current user.","required":false,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}}}},"/accounts/{id}/roles":{"get":{"tags":["security"],"summary":"Get user roles","description":"Get the user roles of an account by its uniqu
[...]
